FLTK: Mac OS X-specific symbols

FLTK

Classes | Functions | Variables
Mac OS X-specific symbols

Mac OS X-specific symbols declared in <FL/x.H> or <FL/gl.h> More...

## Classes
class | Fl_Mac_App_Menu
| Mac OS-specific class allowing to customize and localize the application menu. More...

## Functions
void | fl_mac_set_about (Fl_Callback *cb, void *user_data, int shortcut=0)
| Attaches a callback to the "About myprog" item of the system application menu. More...
void | fl_open_callback (void(*cb)(const char *))
| Register a function called for each file dropped onto an application icon. More...
void | gl_texture_pile_height (int max)
| Changes the height of the pile of pre-computed string textures. More...
int | gl_texture_pile_height (void)
| Returns the current height of the pile of pre-computed string textures. More...

## Variables
int | fl_mac_os_version
| The version number of the running Mac OS X (e.g., 100604 for 10.6.4)
int | fl_mac_quit_early
| Determines whether cmd-Q or the "Quit xxx" item of application menu terminates the app or only the event loop. More...
class Fl_Sys_Menu_Bar * | fl_sys_menu_bar
| The system menu bar.

## Detailed Description

Mac OS X-specific symbols declared in <FL/x.H> or <FL/gl.h>

See also
  The Apple OS X Interface

## Function Documentation

## ◆ fl_mac_set_about()

void fl_mac_set_about | ( | Fl_Callback * | cb,
|  | void * | user_data,
|  | int | shortcut = `0`
| ) |  |

Attaches a callback to the "About myprog" item of the system application menu.

Parameters

  cb | a callback that will be called by "About myprog" menu item with NULL 1st argument.
  user_data | a pointer transmitted as 2nd argument to the callback.
  shortcut | optional shortcut to attach to the "About myprog" menu item (e.g., FL_META+'a')

## ◆ fl_open_callback()

void fl_open_callback | ( | void(*)(const char *) | cb | ) |

Register a function called for each file dropped onto an application icon.

cb will be called with a single Unix-style file name and path. If multiple files were dropped, cb will be called multiple times.

## ◆ gl_texture_pile_height() [1/2]

void gl_texture_pile_height | ( | int | max | ) |

Changes the height of the pile of pre-computed string textures.

Strings that are often re-displayed can be processed much faster if this pile is set high enough to hold all of them.

Parameters

  max | Height of the texture pile

## ◆ gl_texture_pile_height() [2/2]

int gl_texture_pile_height | ( | void |  | ) |

Returns the current height of the pile of pre-computed string textures.

The default value is 100

## Variable Documentation

## ◆ fl_mac_quit_early

int fl_mac_quit_early
| extern

Determines whether cmd-Q or the "Quit xxx" item of application menu terminates the app or only the event loop.

By default, fl_mac_quit_early = 1, and cmd-Q or "Quit xxx" terminate the app when all windows are closed without Fl::run() returning. If fl_mac_quit_early is set to 0, cmd-Q or "Quit xxx" terminate only the event loop when all windows are closed, and Fl::run() returns.

Note
  This OS-specific variable will not be part of the API of FLTK 1.4.

- © 1998-2016 by Bill Spitzak and others.